#include "stdafx.h"
#include "WaitForReboot.h"
#include "StartProcCmdLineInfo.h"



CStartProcCmdLineInfo::CStartProcCmdLineInfo()
{
}


CStartProcCmdLineInfo::~CStartProcCmdLineInfo()
{
}


void CStartProcCmdLineInfo::ParseParam(
    const TCHAR* pszParam,
    BOOL bFlag,
    BOOL bLast
    )
{
    CString sParam(pszParam);
    TCHAR*  pEndChar;
    ASSERT(!sParam.IsEmpty());
    ASSERT(!bFlag);
    ASSERT(bLast);
    theApp.m_dwWaitedProcessId = _tcstoul(
        pszParam,
        &pEndChar,
        10
        );
    ASSERT(0 != theApp.m_dwWaitedProcessId);
}
